[Guide] Running Bitsend Wallet in Kali Linux

  • 1 Replies
  • 395 Views
*

bb2ebb

  • Newbie
  • *
  • 10
  • +0/-0
    • View Profile
[Guide] Running Bitsend Wallet in Kali Linux
« on: 24. April 2017, 05:37:42 »
using command lsb_release -a You can see that this is a Kali Linux version 2016.2



  • I am using bitsend wallet version 1.2.7.1.  I download it using the command
    wget https://github.com/LIMXTEC/BitSend/releases/download/BSD1271/BitSend-linux64.zip

    don't forget to unzip, you can using command

    unzip BitSend-linux64.zip

  • when you running bitsend-qt and appear an error message like this quote, you can follow my instruction starts in point 3
    Quote
    ./bitsend-qt: error while loading shared libraries: libboost_system.so.1.58.0: cannot open shared object file: No such file or directory


  • edit the sources.list, you can using nano or other editor
    using this command, we shall edit the sources.list :

    nano /etc/apt/sources.list

  • add this command into sources.list
    deb http://ppa.launchpad.net/bitcoin/bitcoin/ubuntu trusty main
    deb http://us.archive.ubuntu.com/ubuntu trusty main
    deb http://us.archive.ubuntu.com/ubuntu trusty universe


    after added this command, don't ever upgrade the system until bitsend-qt can running with properly, because upgrade the system caused a crash in the linux system.

  • after you edit the sources.list, press key CTRL+X, then type key Y for save the repository configuration, and then you will see a message "File Name to Write: /etc/apt/sources.list" you press ENTER


  • update the system using command

    apt-get update

    and you will see a PUBLIC KEY error


  • type this command along with PUBLIC KEY on the error message

    apt-key adv --keyserver keyserver.ubuntu.com --recv-keys D46F45428842CE5E 40976EAF437D05B5 3B4FE6ACC0B21F32



  • update the system again

    apt-get update



  • install this dependancies, type it in terminal console :

    apt-get install libdb4.8-dev libdb4.8++-dev build-essential libtool autotools-dev autoconf pkg-config libssl-dev git nodejs nodejs-legacy libminiupnpc-dev redis-server g++ python-dev libicu-dev  libbz2-dev  libqrencode3 libqrencode-dev

  • install this dependancies, type it in terminal console :
    apt-get install libssl1.0.0

    when appear message "Install these packages without verification? [y/N]",you type "y" without a quote mark, and then press ENTER key

  • if the installation is failed and network connection off immediately, restart computer. and then update the system again with this command

    apt-get update --fix-missing

    then repeat step 10 again.

  • Install boost c++ version 1.58 manually. Just copy paste it into terminal console

    wget -O boost_1_58_0.tar.gz https://sourceforge.net/projects/boost/files/boost/1.58.0/boost_1_58_0.tar.gz/download &&
    tar -xvzf boost_1_58_0.tar.gz &&
    cd boost_1_58_0 &&
    ./bootstrap.sh --prefix=/usr/local &&
    user_configFile=`find $PWD -name user-config.jam` &&
    echo "using mpi ;" >> $user_configFile &&
    n=`cat /proc/cpuinfo | grep "cpu cores" | uniq | awk '{print $NF}'` &&
    ./b2 --with=all -j $n install &&
    sh -c 'echo "/usr/local/lib" >> /etc/ld.so.conf.d/local.conf' &&
    ldconfig


  • GOOD LUCK!!!




*

Neelaksh123

  • Regular
  • Full Member
  • *
  • 117
  • +0/-0
  • Bitsend Supporter
    • View Profile
Re: [Guide] Running Bitsend Wallet in Kali Linux
« Reply #1 on: 07. October 2017, 11:37:55 »
please go through it
thank you

 

Sitemap 1 2 3 4 5 6 7 8 9 10 11 12 13